Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc
[Java] Class StandardJavadocDocletOptions

    java.lang.Object
      org.gradle.external.javadoc.CoreJavadocOptions
          org.gradle.external.javadoc.StandardJavadocDocletOptions

All Implemented Interfaces:
  MinimalJavadocOptions

    public class StandardJavadocDocletOptions
    extends CoreJavadocOptions

Provides the options for the standard Javadoc doclet.

Authors:
  Tom Eyckmans

Field Summary
`JavadocOptionFileOption` | `noTimestamp`

Constructor Summary
`StandardJavadocDocletOptions()`
`StandardJavadocDocletOptions(JavadocOptionFile javadocOptionFile)`

Method Summary
`StandardJavadocDocletOptions` | `author(boolean author)`
`StandardJavadocDocletOptions` | `author()`
`StandardJavadocDocletOptions` | `bottom(java.lang.String bottom)`
`StandardJavadocDocletOptions` | `charSet(java.lang.String charSet)`
`StandardJavadocDocletOptions` | `destinationDirectory(java.io.File destinationDirectory)`
`StandardJavadocDocletOptions` | `docEncoding(java.lang.String docEncoding)`
`StandardJavadocDocletOptions` | `docFilesSubDirs(boolean docFilesSubDirs)`
`StandardJavadocDocletOptions` | `docFilesSubDirs()`
`StandardJavadocDocletOptions` | `docTitle(java.lang.String docTitle)`
`StandardJavadocDocletOptions` | `excludeDocFilesSubDir(java.util.List excludeDocFilesSubDir)`
`StandardJavadocDocletOptions` | `excludeDocFilesSubDir(java.lang.String excludeDocFilesSubDir)`
`StandardJavadocDocletOptions` | `footer(java.lang.String footer)`
`java.lang.String` | `getBottom()`
`java.lang.String` | `getCharSet()`
`java.io.File` | `getDestinationDirectory()`
`java.lang.String` | `getDocEncoding()`
`java.lang.String` | `getDocTitle()`
`java.util.List` | `getExcludeDocFilesSubDir()`
`java.lang.String` | `getFooter()`
`java.util.Map` | `getGroups()`
`java.lang.String` | `getHeader()`
`java.io.File` | `getHelpFile()`
`java.util.List` | `getLinks()`
`java.util.List` | `getLinksOffline()`
`java.util.List` | `getNoQualifiers()`
`java.io.File` | `getStylesheetFile()`
`java.util.List` | `getTagletPath()`
`java.util.List` | `getTags()`
`java.lang.String` | `getWindowTitle()`
`StandardJavadocDocletOptions` | `group(java.util.Map groups)`
`StandardJavadocDocletOptions` | `group(java.lang.String groupName, java.util.List packagePatterns)`
`StandardJavadocDocletOptions` | `group(java.lang.String groupName, java.lang.String packagePatterns)`
`StandardJavadocDocletOptions` | `groupsFile(java.io.File groupsFile)`
`StandardJavadocDocletOptions` | `header(java.lang.String header)`
`StandardJavadocDocletOptions` | `helpFile(java.io.File helpFile)`
`boolean` | `isAuthor()`
`boolean` | `isDocFilesSubDirs()`
`boolean` | `isKeyWords()`
`boolean` | `isLinkSource()`
`boolean` | `isNoComment()`
`boolean` | `isNoDeprecated()`
`boolean` | `isNoDeprecatedList()`
`boolean` | `isNoHelp()`
`boolean` | `isNoIndex()`
`boolean` | `isNoNavBar()`
`boolean` | `isNoSince()`
`boolean` | `isNoTimestamp()`
`boolean` | `isNoTree()`
`boolean` | `isSerialWarn()`
`boolean` | `isSplitIndex()`
`boolean` | `isUse()`
`boolean` | `isVersion()`
`StandardJavadocDocletOptions` | `keyWords(boolean keyWords)`
`StandardJavadocDocletOptions` | `keyWords()`
`StandardJavadocDocletOptions` | `linkSource(boolean linkSource)`
`StandardJavadocDocletOptions` | `linkSource()`
`StandardJavadocDocletOptions` | `links(java.lang.String links)`
`StandardJavadocDocletOptions` | `linksFile(java.io.File linksFile)`
`StandardJavadocDocletOptions` | `linksOffline(java.lang.String extDocUrl, java.lang.String packageListLoc)`
`StandardJavadocDocletOptions` | `linksOfflineFile(java.io.File linksOfflineFile)`
`StandardJavadocDocletOptions` | `noComment(boolean noComment)`
`StandardJavadocDocletOptions` | `noComment()`
`StandardJavadocDocletOptions` | `noDeprecated(boolean nodeprecated)`
`StandardJavadocDocletOptions` | `noDeprecated()`
`StandardJavadocDocletOptions` | `noDeprecatedList(boolean noDeprecatedList)`
`StandardJavadocDocletOptions` | `noDeprecatedList()`
`StandardJavadocDocletOptions` | `noHelp(boolean noHelp)`
`StandardJavadocDocletOptions` | `noHelp()`
`StandardJavadocDocletOptions` | `noIndex(boolean noIndex)`
`StandardJavadocDocletOptions` | `noIndex()`
`StandardJavadocDocletOptions` | `noNavBar(boolean noNavBar)`
`StandardJavadocDocletOptions` | `noNavBar()`
`StandardJavadocDocletOptions` | `noQualifier(java.util.List noQualifiers)`
`StandardJavadocDocletOptions` | `noQualifiers(java.lang.String noQualifiers)`
`StandardJavadocDocletOptions` | `noSince(boolean noSince)`
`StandardJavadocDocletOptions` | `noSince()`
`StandardJavadocDocletOptions` | `noTimestamp(boolean noTimestamp)`
`StandardJavadocDocletOptions` | `noTimestamp()`
`StandardJavadocDocletOptions` | `noTree(boolean noTree)`
`StandardJavadocDocletOptions` | `noTree()`
`StandardJavadocDocletOptions` | `serialWarn(boolean serialWarn)`
`StandardJavadocDocletOptions` | `serialWarn()`
`void` | `setAuthor(boolean author)`
`void` | `setBottom(java.lang.String bottom)`
`void` | `setCharSet(java.lang.String charSet)`
`void` | `setDestinationDirectory(java.io.File directory)`
`void` | `setDocEncoding(java.lang.String docEncoding)`
`void` | `setDocFilesSubDirs(boolean docFilesSubDirs)`
`void` | `setDocTitle(java.lang.String docTitle)`
`void` | `setExcludeDocFilesSubDir(java.util.List excludeDocFilesSubDir)`
`void` | `setFooter(java.lang.String footer)`
`void` | `setGroups(java.util.Map groups)`
`void` | `setHeader(java.lang.String header)`
`void` | `setHelpFile(java.io.File helpFile)`
`void` | `setKeyWords(boolean keyWords)`
`void` | `setLinkSource(boolean linkSource)`
`void` | `setLinks(java.util.List links)`
`void` | `setLinksOffline(java.util.List linksOffline)`
`void` | `setNoComment(boolean noComment)`
`void` | `setNoDeprecated(boolean noDeprecated)`
`void` | `setNoDeprecatedList(boolean noDeprecatedList)`
`void` | `setNoHelp(boolean noHelp)`
`void` | `setNoIndex(boolean noIndex)`
`void` | `setNoNavBar(boolean noNavBar)`
`void` | `setNoQualifiers(java.util.List noQualifiers)`
`void` | `setNoSince(boolean noSince)`
`void` | `setNoTimestamp(boolean noTimestamp)`
`void` | `setNoTree(boolean noTree)`
`void` | `setSerialWarn(boolean serialWarn)`
`void` | `setSplitIndex(boolean splitIndex)`
`void` | `setStylesheetFile(java.io.File stylesheetFile)`
`void` | `setTagletPath(java.util.List tagletPath)`
`void` | `setTags(java.util.List tags)`
`void` | `setUse(boolean use)`
`void` | `setVersion(boolean version)`
`void` | `setWindowTitle(java.lang.String windowTitle)`
`StandardJavadocDocletOptions` | `splitIndex(boolean splitIndex)`
`StandardJavadocDocletOptions` | `splitIndex()`
`StandardJavadocDocletOptions` | `stylesheetFile(java.io.File stylesheetFile)`
`StandardJavadocDocletOptions` | `tagletPath(java.util.List tagletPath)`
`StandardJavadocDocletOptions` | `tagletPath(java.io.File tagletPath)`
`StandardJavadocDocletOptions` | `taglets(java.lang.String taglets)`
`StandardJavadocDocletOptions` | `tags(java.util.List tags)`
`StandardJavadocDocletOptions` | `tags(java.lang.String tags)`
`StandardJavadocDocletOptions` | `tagsFile(java.io.File tagsFile)`
`StandardJavadocDocletOptions` | `use(boolean use)`
`StandardJavadocDocletOptions` | `use()`
`StandardJavadocDocletOptions` | `version(boolean version)`
`StandardJavadocDocletOptions` | `version()`
`StandardJavadocDocletOptions` | `windowTitle(java.lang.String windowTitle)`

Methods inherited from class CoreJavadocOptions
addBooleanOption, addBooleanOption, addEnumOption, addEnumOption, addFileOption, addFileOption, addMultilineStringsOption, addOption, addPathOption, addPathOption, addStringOption, addStringOption, addStringsOption, addStringsOption, bootClasspath, breakIterator, breakIterator, classpath, classpath, contributeCommandLineOptions, doclet, docletpath, encoding, extDirs, getBootClasspath, getClasspath, getDoclet, getDocletpath, getEncoding, getExtDirs, getJFlags, getLocale, getMemberLevel, getOptionFiles, getOutputLevel, getOverview, getSource, getSourceNames, isBreakIterator, isVerbose, jFlags, locale, optionFiles, overview, quiet, setBootClasspath, setBreakIterator, setClasspath, setDoclet, setDocletpath, setEncoding, setExtDirs, setJFlags, setLocale, setMemberLevel, setOptionFiles, setOutputLevel, setOverview, setSource, setSourceNames, showAll, showFromPackage, showFromPrivate, showFromProtected, showFromPublic, source, sourceNames, verbose, write

Field Detail

### noTimestamp

    public final JavadocOptionFileOption noTimestamp

Constructor Detail

### StandardJavadocDocletOptions

    public StandardJavadocDocletOptions()

### StandardJavadocDocletOptions

    public StandardJavadocDocletOptions(JavadocOptionFile javadocOptionFile)

Method Detail

### author

    public StandardJavadocDocletOptions author(boolean author)

### author

    public StandardJavadocDocletOptions author()

### bottom

    public StandardJavadocDocletOptions bottom(java.lang.String bottom)

### charSet

    public StandardJavadocDocletOptions charSet(java.lang.String charSet)

### destinationDirectory

    public StandardJavadocDocletOptions destinationDirectory(java.io.File destinationDirectory)

### docEncoding

    public StandardJavadocDocletOptions docEncoding(java.lang.String docEncoding)

### docFilesSubDirs

    public StandardJavadocDocletOptions docFilesSubDirs(boolean docFilesSubDirs)

### docFilesSubDirs

    public StandardJavadocDocletOptions docFilesSubDirs()

### docTitle

    public StandardJavadocDocletOptions docTitle(java.lang.String docTitle)

### excludeDocFilesSubDir

    public StandardJavadocDocletOptions excludeDocFilesSubDir(java.util.List excludeDocFilesSubDir)

### excludeDocFilesSubDir

    public StandardJavadocDocletOptions excludeDocFilesSubDir(java.lang.String excludeDocFilesSubDir)

### footer

    public StandardJavadocDocletOptions footer(java.lang.String footer)

### getBottom

    public java.lang.String getBottom()

### getCharSet

    public java.lang.String getCharSet()

### getDestinationDirectory

    public java.io.File getDestinationDirectory()

### getDocEncoding

    public java.lang.String getDocEncoding()

### getDocTitle

    public java.lang.String getDocTitle()

### getExcludeDocFilesSubDir

    public java.util.List getExcludeDocFilesSubDir()

### getFooter

    public java.lang.String getFooter()

### getGroups

    public java.util.Map getGroups()

### getHeader

    public java.lang.String getHeader()

### getHelpFile

    public java.io.File getHelpFile()

### getLinks

    public java.util.List getLinks()

### getLinksOffline

    public java.util.List getLinksOffline()

### getNoQualifiers

    public java.util.List getNoQualifiers()

### getStylesheetFile

    public java.io.File getStylesheetFile()

### getTagletPath

    public java.util.List getTagletPath()

### getTags

    public java.util.List getTags()

### getWindowTitle

    public java.lang.String getWindowTitle()

### group

    public StandardJavadocDocletOptions group(java.util.Map groups)

### group

    public StandardJavadocDocletOptions group(java.lang.String groupName, java.util.List packagePatterns)

### group

    public StandardJavadocDocletOptions group(java.lang.String groupName, java.lang.String packagePatterns)

### groupsFile

    public StandardJavadocDocletOptions groupsFile(java.io.File groupsFile)

### header

    public StandardJavadocDocletOptions header(java.lang.String header)

### helpFile

    public StandardJavadocDocletOptions helpFile(java.io.File helpFile)

### isAuthor

    public boolean isAuthor()

### isDocFilesSubDirs

    public boolean isDocFilesSubDirs()

### isKeyWords

    public boolean isKeyWords()

### isLinkSource

    public boolean isLinkSource()

### isNoComment

    public boolean isNoComment()

### isNoDeprecated

    public boolean isNoDeprecated()

### isNoDeprecatedList

    public boolean isNoDeprecatedList()

### isNoHelp

    public boolean isNoHelp()

### isNoIndex

    public boolean isNoIndex()

### isNoNavBar

    public boolean isNoNavBar()

### isNoSince

    public boolean isNoSince()

### isNoTimestamp

    public boolean isNoTimestamp()

### isNoTree

    public boolean isNoTree()

### isSerialWarn

    public boolean isSerialWarn()

### isSplitIndex

    public boolean isSplitIndex()

### isUse

    public boolean isUse()

### isVersion

    public boolean isVersion()

### keyWords

    public StandardJavadocDocletOptions keyWords(boolean keyWords)

### keyWords

    public StandardJavadocDocletOptions keyWords()

### linkSource

    public StandardJavadocDocletOptions linkSource(boolean linkSource)

### linkSource

    public StandardJavadocDocletOptions linkSource()

### links

    public StandardJavadocDocletOptions links(java.lang.String links)

### linksFile

    public StandardJavadocDocletOptions linksFile(java.io.File linksFile)

### linksOffline

    public StandardJavadocDocletOptions linksOffline(java.lang.String extDocUrl, java.lang.String packageListLoc)

### linksOfflineFile

    public StandardJavadocDocletOptions linksOfflineFile(java.io.File linksOfflineFile)

### noComment

    public StandardJavadocDocletOptions noComment(boolean noComment)

### noComment

    public StandardJavadocDocletOptions noComment()

### noDeprecated

    public StandardJavadocDocletOptions noDeprecated(boolean nodeprecated)

### noDeprecated

    public StandardJavadocDocletOptions noDeprecated()

### noDeprecatedList

    public StandardJavadocDocletOptions noDeprecatedList(boolean noDeprecatedList)

### noDeprecatedList

    public StandardJavadocDocletOptions noDeprecatedList()

### noHelp

    public StandardJavadocDocletOptions noHelp(boolean noHelp)

### noHelp

    public StandardJavadocDocletOptions noHelp()

### noIndex

    public StandardJavadocDocletOptions noIndex(boolean noIndex)

### noIndex

    public StandardJavadocDocletOptions noIndex()

### noNavBar

    public StandardJavadocDocletOptions noNavBar(boolean noNavBar)

### noNavBar

    public StandardJavadocDocletOptions noNavBar()

### noQualifier

    public StandardJavadocDocletOptions noQualifier(java.util.List noQualifiers)

### noQualifiers

    public StandardJavadocDocletOptions noQualifiers(java.lang.String noQualifiers)

### noSince

    public StandardJavadocDocletOptions noSince(boolean noSince)

### noSince

    public StandardJavadocDocletOptions noSince()

### noTimestamp

    public StandardJavadocDocletOptions noTimestamp(boolean noTimestamp)

### noTimestamp

    public StandardJavadocDocletOptions noTimestamp()

### noTree

    public StandardJavadocDocletOptions noTree(boolean noTree)

### noTree

    public StandardJavadocDocletOptions noTree()

### serialWarn

    public StandardJavadocDocletOptions serialWarn(boolean serialWarn)

### serialWarn

    public StandardJavadocDocletOptions serialWarn()

### setAuthor

    public void setAuthor(boolean author)

### setBottom

    public void setBottom(java.lang.String bottom)

### setCharSet

    public void setCharSet(java.lang.String charSet)

### setDestinationDirectory

    public void setDestinationDirectory(java.io.File directory)

### setDocEncoding

    public void setDocEncoding(java.lang.String docEncoding)

### setDocFilesSubDirs

    public void setDocFilesSubDirs(boolean docFilesSubDirs)

### setDocTitle

    public void setDocTitle(java.lang.String docTitle)

### setExcludeDocFilesSubDir

    public void setExcludeDocFilesSubDir(java.util.List excludeDocFilesSubDir)

### setFooter

    public void setFooter(java.lang.String footer)

### setGroups

    public void setGroups(java.util.Map groups)

### setHeader

    public void setHeader(java.lang.String header)

### setHelpFile

    public void setHelpFile(java.io.File helpFile)

### setKeyWords

    public void setKeyWords(boolean keyWords)

### setLinkSource

    public void setLinkSource(boolean linkSource)

### setLinks

    public void setLinks(java.util.List links)

### setLinksOffline

    public void setLinksOffline(java.util.List linksOffline)

### setNoComment

    public void setNoComment(boolean noComment)

### setNoDeprecated

    public void setNoDeprecated(boolean noDeprecated)

### setNoDeprecatedList

    public void setNoDeprecatedList(boolean noDeprecatedList)

### setNoHelp

    public void setNoHelp(boolean noHelp)

### setNoIndex

    public void setNoIndex(boolean noIndex)

### setNoNavBar

    public void setNoNavBar(boolean noNavBar)

### setNoQualifiers

    public void setNoQualifiers(java.util.List noQualifiers)

### setNoSince

    public void setNoSince(boolean noSince)

### setNoTimestamp

    public void setNoTimestamp(boolean noTimestamp)

### setNoTree

    public void setNoTree(boolean noTree)

### setSerialWarn

    public void setSerialWarn(boolean serialWarn)

### setSplitIndex

    public void setSplitIndex(boolean splitIndex)

### setStylesheetFile

    public void setStylesheetFile(java.io.File stylesheetFile)

### setTagletPath

    public void setTagletPath(java.util.List tagletPath)

### setTags

    public void setTags(java.util.List tags)

### setUse

    public void setUse(boolean use)

### setVersion

    public void setVersion(boolean version)

### setWindowTitle

    public void setWindowTitle(java.lang.String windowTitle)

### splitIndex

    public StandardJavadocDocletOptions splitIndex(boolean splitIndex)

### splitIndex

    public StandardJavadocDocletOptions splitIndex()

### stylesheetFile

    public StandardJavadocDocletOptions stylesheetFile(java.io.File stylesheetFile)

### tagletPath

    public StandardJavadocDocletOptions tagletPath(java.util.List tagletPath)

### tagletPath

    public StandardJavadocDocletOptions tagletPath(java.io.File tagletPath)

### taglets

    public StandardJavadocDocletOptions taglets(java.lang.String taglets)

### tags

    public StandardJavadocDocletOptions tags(java.util.List tags)

### tags

    public StandardJavadocDocletOptions tags(java.lang.String tags)

### tagsFile

    public StandardJavadocDocletOptions tagsFile(java.io.File tagsFile)

### use

    public StandardJavadocDocletOptions use(boolean use)

### use

    public StandardJavadocDocletOptions use()

### version

    public StandardJavadocDocletOptions version(boolean version)

### version

    public StandardJavadocDocletOptions version()

### windowTitle

    public StandardJavadocDocletOptions windowTitle(java.lang.String windowTitle)

Groovy Documentation